Bug 2091783 - systemd-socket-proxyd does not allow connecting to unassigned port
Summary: systemd-socket-proxyd does not allow connecting to unassigned port
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 36
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Zdenek Pytela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-05-31 04:10 UTC by Anthony Messina
Modified: 2022-10-12 13:01 UTC (History)
8 users (show)

Fixed In Version: selinux-policy-36.16-1.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-10-12 13:01:36 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github SELinuxProject refpolicy pull 315 0 None Merged added policy for systemd-socket-proxyd 2022-05-31 04:10:37 UTC
Github fedora-selinux selinux-policy pull 1396 0 None open added policy for systemd-socket-proxyd 2022-09-21 07:42:52 UTC
Red Hat Bugzilla 1868949 1 None None None 2022-05-31 04:10:37 UTC

Description Anthony Messina 2022-05-31 04:10:37 UTC
Reading #1868949, it appears that the systemd-socket-proxyd related SELinux changes merged upstream https://github.com/SELinuxProject/refpolicy/pull/315 were not pulled into Fedora at least as of version 36.

As I cannot reopen/reassign #1868949, I've opened this to request an update to Fedora's SELinux policy.

Comment 1 Fedora Update System 2022-09-30 08:49:52 UTC
FEDORA-2022-0c59a07653 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-0c59a07653

Comment 2 Fedora Update System 2022-10-01 02:12:58 UTC
FEDORA-2022-0c59a07653 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-0c59a07653`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-0c59a07653

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2022-10-12 13:01:36 UTC
FEDORA-2022-0c59a07653 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.